CREATE TABLE grc_otbi_ch_hstry_seg_gt (
    ROW_NUM                NUMBER(19, 0) ,
    MDL_ID                 VARCHAR2(128) ,
    MODULE_ID              VARCHAR2(128) ,
    OBJECT_ID              NUMBER(19, 0) ,
    OBJECT_TYPE            VARCHAR2(1020),
    OBJECT_NAME            VARCHAR2(4000),
    ATTRIBUTE              VARCHAR2(1020),
    OLD_VALUE              VARCHAR2(4000),
    NEW_VALUE              VARCHAR2(4000),
    OBJ_LAST_UPDATED_BY    VARCHAR2(256) ,
    REVIEWER               VARCHAR2(256) ,
    APPROVER               VARCHAR2(256) ,
    REVISION               NUMBER(19, 0) ,
    REVISION_DATE          TIMESTAMP(6)  ,
    EVENT_TYPE             VARCHAR2(256) ,
    CREATED_BY             VARCHAR2(256)     NOT NULL,
    CREATION_DATE          TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY        VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN      VARCHAR2(128) ,
    LAST_UPDATE_DATE       TIMESTAMP(6)      NOT NULL,
    ENTITY_ID              VARCHAR2(128) ,
    ROW_NUM                NUMBER(19, 0) ,
    MDL_ID                 VARCHAR2(128) ,
    MODULE_ID              VARCHAR2(128) ,
    OBJECT_ID              NUMBER(19, 0) ,
    OBJECT_TYPE            VARCHAR2(1020),
    OBJECT_NAME            VARCHAR2(4000),
    ATTRIBUTE              VARCHAR2(1020),
    OLD_VALUE              VARCHAR2(4000),
    NEW_VALUE              VARCHAR2(4000),
    OBJ_LAST_UPDATED_BY    VARCHAR2(256) ,
    REVIEWER               VARCHAR2(256) ,
    APPROVER               VARCHAR2(256) ,
    REVISION               NUMBER(19, 0) ,
    REVISION_DATE          TIMESTAMP(6)  ,
    EVENT_TYPE             VARCHAR2(256) ,
    CREATED_BY             VARCHAR2(256)     NOT NULL,
    CREATION_DATE          TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY        VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN      VARCHAR2(128) ,
    LAST_UPDATE_DATE       TIMESTAMP(6)      NOT NULL,
    ENTITY_ID              VARCHAR2(128) ,
    CONSTRAINT pk_grc_otbi_ch_hstry_seg_gt PRIMARY KEY (ROW_NUM, ROW_NUM)
);
